> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embeddables.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Embeddable Versions

> Retrieve all versions of an embeddable from the database based on the ID



## OpenAPI

````yaml GET /projects/{projectId}/embeddables/{embeddableId}/versions
openapi: 3.0.1
info:
  title: api
  version: 0.0.1
servers:
  - url: https://api.embeddables.com
    description: Production
security: []
paths:
  /projects/{projectId}/embeddables/{embeddableId}/versions:
    get:
      tags:
        - Embeddables
      description: Retrieve all versions of an embeddable from the database based on the ID
      operationId: embeddables_getEmbeddableVersions
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ProjectId'
          examples:
            Example1:
              value: pr_myexampleproject
            Example2:
              value: pr_myexampleproject
        - name: embeddableId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/EmbeddableId'
          examples:
            Example1:
              value: flow_myexampleembeddable
            Example2:
              value: flow_doesnotexist
        - name: limit
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Limit'
            nullable: true
          examples:
            Example1:
              value: 100
        - name: direction
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Direction'
            nullable: true
          examples:
            Example1:
              value: DESC
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: rk_myexampleapikey
            Example2:
              value: rk_myexampleapikey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmbeddableVersion'
              examples:
                Example1:
                  value:
                    - embeddable_id: flow_myexampleembeddable
                      version_number: 1
                      saved_at: '2022-01-01T00:00:00Z'
                    - embeddable_id: flow_myexampleembeddable
                      version_number: 2
                      saved_at: '2022-01-02T00:00:00Z'
                    - embeddable_id: flow_myexampleembeddable
                      version_number: 3
                      saved_at: '2022-01-03T00:00:00Z'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorBody'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddableDoesNotExistErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: embeddable_does_not_exist
                      message: The embeddable does not exist
                    projectId: pr_myexampleproject
                    embeddableId: flow_doesnotexist
components:
  schemas:
    ProjectId:
      title: ProjectId
      type: string
      description: The unique identifier for a Project in the database
    EmbeddableId:
      title: EmbeddableId
      type: string
      description: The unique identifier for a Embeddable in the database
    Limit:
      title: Limit
      type: integer
      description: The number of entries to return (defaults to 10).
    Direction:
      title: Direction
      type: string
      enum:
        - ASC
        - DESC
      description: The direction to sort by (defaults to DESC)
    EmbeddableVersion:
      title: EmbeddableVersion
      type: object
      properties:
        embeddable_id:
          $ref: '#/components/schemas/EmbeddableId'
        version_number:
          $ref: '#/components/schemas/EmbeddableVersionNumber'
        saved_at:
          $ref: '#/components/schemas/DateTime'
      required:
        - embeddable_id
        - version_number
        - saved_at
    UnauthorizedErrorBody:
      title: UnauthorizedErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
      required:
        - error
        - projectId
    EmbeddableDoesNotExistErrorBody:
      title: EmbeddableDoesNotExistErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
        embeddableId:
          $ref: '#/components/schemas/EmbeddableId'
      required:
        - error
        - projectId
        - embeddableId
    EmbeddableVersionNumber:
      title: EmbeddableVersionNumber
      type: integer
      description: The version number of an embeddable
    DateTime:
      title: DateTime
      type: string
      description: A Date + Time string in ISO format
    ErrorBody:
      title: ErrorBody
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message

````